Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157737 - Apple Cinema Display not recognized
Summary: Apple Cinema Display not recognized
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-14 09:55 UTC by Jurgen Kramer
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-19 01:07:45 UTC


Attachments (Terms of Use)

Description Jurgen Kramer 2005-05-14 09:55:10 UTC
Description of problem:
Apple Cinema Display 20 inch not detected (unknown) during install

Version-Release number of selected component (if applicable):


How reproducible:
Allways

Steps to Reproduce:
1. Install FC4t3 (tested with x86_64)
2.
3.
  
Actual results:
Display is detected as "unknown"

Expected results:
Display is detected as "Apple Cinema Display 20"

Additional info:
Related to bug 155372 (system-config-display) now partially resolved with t3.

Comment 1 Jeremy Katz 2005-05-16 20:45:25 UTC
What happens if you run 'ddcprobe' on the installed system?

Comment 2 Jurgen Kramer 2005-05-17 16:55:56 UTC
Running ddcprobe gives:

[root@paragon ~]# ddcprobe

Monitor DDC probe results
Monitor DDC Probe failed.
[root@paragon ~]#

From Xorg.0.log however:

(II) NV(0): I2C bus "DDC" initialized.
(II) NV(0): Probing for analog device on output A...
(--) NV(0):   ...can't find one
(II) NV(0): Probing for analog device on output B...
(--) NV(0):   ...found one
(II) NV(0): Probing for EDID on I2C bus A...
(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) NV(0): I2C device "DDC:ddc2" removed.
(--) NV(0): DDC detected a DFP:
(II) NV(0): Manufacturer: APP  Model: 921d  Serial#: 5020104
(II) NV(0): Year: 2004  Week: 46
(II) NV(0): EDID Version: 1.3
(II) NV(0): Digital Display Input
(II) NV(0): Max H-Image Size [cm]: horiz.: 43  vert.: 27
(II) NV(0): Gamma: 2.20
(II) NV(0): DPMS capabilities: Off; RGB/Color Display
(II) NV(0): Default color space is primary color space
(II) NV(0): First detailed timing is preferred mode
(II) NV(0): redX: 0.640 redY: 0.340   greenX: 0.295 greenY: 0.610
(II) NV(0): blueX: 0.145 blueY: 0.070   whiteX: 0.312 whiteY: 0.329
(II) NV(0): Manufacturer's mask: 0
(II) NV(0): Supported Future Video Modes:
(II) NV(0): #0: hsize: 1680  vsize 1050  refresh: 60  vid: 179
(II) NV(0): Supported additional Video Mode:
(II) NV(0): clock: 119.0 MHz   Image Size:  433 x 270 mm
(II) NV(0): h_active: 1680  h_sync: 1728  h_sync_end 1760 h_blank_end 1840
h_border: 0
(II) NV(0): v_active: 1050  v_sync: 1053  v_sync_end 1059 v_blanking: 1080
v_border: 0
(II) NV(0): Monitor name: Cinema Displa
(II) NV(0): Monitor name: y
(II) NV(0): Number of EDID sections to follow: 1
(II) NV(0): Probing for EDID on I2C bus B...

This is with a PCI Express 6600GT

Comment 3 Jeremy Katz 2005-05-19 01:07:45 UTC
Unfortunately, this means that the monitor isn't probe-able via the generic
probing mechanisms and can only be probed via card-specific i2c routines that X
doesn't export :(


Note You need to log in before you can comment on or make changes to this bug.